# $Revision: 1.42 $, $Date: 2006/07/25 05:50:32 $
Summary:	A restricted shell for assigning scp- or sftp-only access
Summary(pl):	Okrojona powoka dajca dostp tylko do scp i/lub sftp
Name:		rssh
Version:	2.3.2
Release:	1
License:	BSD-like
Group:		Applications/Shells
Source0:	http://dl.sourceforge.net/rssh/%{name}-%{version}.tar.gz
# Source0-md5:	65712f2c06ff5fc6fc783bc8c2e4e1ba
Patch0:		%{name}-userbuild.patch
Patch1:		%{name}-mkchroot.patch
URL:		http://www.pizzashack.org/rssh/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssh-clients >= 3.5p1
Requires(post):	grep
Requires(preun):	sed >= 4.0
Conflicts:	openssh-server < 3.5p1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	with_ccache

%description
rssh is a small shell that provides the ability for system
administrators to give specific users access to a given system via scp
or sftp only.

%description -l pl
rssh jest maym shellem, ktry pozwala administratorowi ograniczy
dostp na danym koncie tylko do scp i/lub sftp.

%prep
%setup -q
%patch0 -p1
%patch1

%build
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	--with-scp=/usr/bin/scp \
	--with-sftp-server=/usr/%{_lib}/openssh/sftp-server

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/bin

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

ln -sf rssh $RPM_BUILD_ROOT%{_bindir}/scpsh
ln -sf rssh $RPM_BUILD_ROOT%{_bindir}/sftpsh

# legacy
ln -s %{_bindir}/%{name} $RPM_BUILD_ROOT/bin/%{name}
ln -s %{_bindir}/scpsh $RPM_BUILD_ROOT/bin/scpsh
ln -s %{_bindir}/sftpsh $RPM_BUILD_ROOT/bin/sftpsh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	umask 022
	echo "%{_bindir}/%{name}" > /etc/shells
	echo "%{_bindir}/scpsh" >> /etc/shells
	echo "%{_bindir}/sftpsh" >> /etc/shells
else
	if ! grep -q '^%{_bindir}/%{name}$' /etc/shells; then
		echo "%{_bindir}/%{name}" >> /etc/shells
	fi
	if ! grep -q '^%{_bindir}/scpsh$' /etc/shells; then
		echo "%{_bindir}/scpsh" >> /etc/shells
	fi
	if ! grep -q '^%{_bindir}/sftpsh$' /etc/shells; then
		echo "%{_bindir}/sftpsh" >> /etc/shells
	fi
fi

%preun
if [ "$1" = "0" ]; then
	%{__sed} -i -e '/^%(echo %{_bindir} | sed -e 's,/,\\/,g')\/\(%{name}\|scpsh\|sftpsh\)$/d' /etc/shells
fi

%triggerpostun -- %{name} < 2.3.2-0.6
# make compat symlinks, the symlinks are discarded using %ghost on package uninstall
ln -sf %{_bindir}/%{name} /bin/%{name}
ln -sf %{_bindir}/scpsh /bin/scpsh
ln -sf %{_bindir}/sftpsh /bin/sftpsh

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README CHROOT SECURITY mkchroot.sh
%attr(644,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rssh.conf
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/scpsh
%attr(755,root,root) %{_bindir}/sftpsh
%attr(4755,root,root) %{_libdir}/rssh_chroot_helper
%{_mandir}/man?/*
# legacy
%ghost /bin/%{name}
%ghost /bin/scpsh
%ghost /bin/sftpsh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rssh.spec,v $
Revision 1.42  2006/07/25 05:50:32  glen
- cosmetics

Revision 1.41  2006/07/25 05:49:11  glen
- up to 2.3.2 (security fixes)
- moved programs to /usr (due scp dependency), safe trigger included

Revision 1.40  2005/12/30 18:13:23  lukasz
- SECURITY up to 2.3.1

Revision 1.39  2005/12/23 18:18:23  undefine
- rel 2 for AC

Revision 1.38  2005/12/23 18:05:39  undefine
- up to 2.3.0
- SECURITY http://www.pizzashack.org/rssh/security.shtml

Revision 1.37  2005/05/30 11:06:23  glen
- ...or the other way

Revision 1.36  2005/05/30 11:00:05  glen
- todo

Revision 1.35  2005/05/30 10:15:48  ankry
- amd64 path fix

Revision 1.34  2005/05/30 10:03:30  glen
- don't macroize ssh paths

Revision 1.33  2005/05/30 08:52:44  ankry
- kill overadaptarization

Revision 1.32  2005/05/30 08:36:01  matowy
- up to 2.2.3 (this fix pldbug 5567)
- adapterized

Revision 1.31  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.30  2004/10/26 16:49:51  darekr
- fixed commitlog

Revision 1.29  2004/10/25 20:57:18  dzeus
- typo

Revision 1.28  2004/10/25 19:56:39  darekr
- security updated to 2.2.2

Revision 1.27  2004/10/20 09:13:23  blues
- release 3 - changed requires openssh-server to conflicts. Allow to use it
  in chroots.

Revision 1.26  2004/07/21 21:14:57  mwinkler
- cosmetics, remove empty files, added CHROOT, SECURITY and mkchroot.sh
- rel 2

Revision 1.25  2004/06/22 09:53:18  mwinkler
- security update http://www.securityfocus.com/archive/121/366510

Revision 1.24  2003/11/23 05:15:14  speedy
- new URL
- release 2 for AC

Revision 1.23  2003/09/15 06:24:45  misi3k
- updated to 2.1.1

Revision 1.22  2003/07/05 14:51:58  misi3k
- updated to 2.0.4

Revision 1.21  2003/05/28 13:01:42  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:26:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/04/05 19:12:44  mwinkler
- updated to 2.0.2

Revision 1.18  2003/04/05 10:51:59  djrzulf
- From: Rafal Janiczek <jojo@oho.pl>:
  - up to 2.0.1
  - fix patch

Revision 1.17  2003/02/24 07:29:41  misiek
- updated to 2.0.0

Revision 1.16  2003/02/09 21:28:56  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.15  2003/01/02 03:32:01  blues
- 1.0.4 - small bugfix release

Revision 1.14  2002/11/20 14:39:21  qboosh
- simplified symlinks, standardized perms
- static linking not needed with openssh >= 3.5
- release 2

Revision 1.13  2002/11/19 14:37:27  blues
- 1.0.3 - STBR

Revision 1.12  2002/10/23 13:15:51  areq
- 1.0.1, STBR

Revision 1.11  2002/10/10 17:01:53  kloczek
- simplifications.

Revision 1.10  2002/10/10 16:28:10  undefine
- br glibc-static when compile static(but i'm not sure if it's needed -
  mayby better idea is compile shared and into /usr ?)
- _mandir to /usr/share/man (i don't want man's in /share/man ;) - please
  think about it when changing _prefix
- release 2, stbr

Revision 1.9  2002/09/18 21:41:22  blues
- 1.0.0 - Makefile patch replaced by completelly different DESTDIR patch
- autoconf support added ( -> BR: autoconf), more docs, STBR

Revision 1.8  2002/09/10 12:27:33  blues
- 0.9.3 - now it'll build on our builders, binary is static (see SECURITY)
- STBR

Revision 1.7  2002/08/28 02:46:37  blues
- 0.9.2 - added manuals, binaries location shown in configure, patch update
- STBR

Revision 1.6  2002/08/19 08:32:40  blues
- ooops - release 1

Revision 1.5  2002/08/19 08:30:20  blues
- 0.9.1 - first tar-ball - sftp patch replaced by Makefile patch - fix
  chowns and chmods, change building and instalation scheme. STBR

Revision 1.4  2002/08/18 11:09:40  blues
- License is BSD-like

Revision 1.3  2002/08/17 18:06:57  blues
- release 2 - updated sources from author. STBR

Revision 1.2  2002/08/17 13:49:44  blues
- sftp patch added (location of sftp)
- post - adding/removing entries to /etc/shells - more shells in package
- license; STBR

Revision 1.1  2002/08/17 13:25:31  blues
- initial release - STBR
